package com.interpress_project.modernshare.client.view.wizard;

import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;

/**
 * @stereotype Welcome page
 */
public class RegWelcomePage extends WizardPage {
	protected String welcomeMessage;

	/**
	 * RegWelcomePage
	 */
	public RegWelcomePage() {
		super("RegWelcomePage");

		setTitle("ホットショットフォルダ登録ウィザードにようこそ!");
		setDescription("ホットショットフォルダ登録ウィザードﾞを開始します。");
		welcomeMessage = "ローカルフォルダをホットショット・フォルダとして登録することができます。" + "なお指定されるホットショットフォルダには各種オプションを追加指定することができます。" + "\n\n"
		    + "「次へ」を選択してください。";
	}

	/**
	 * createControl
	 *
	 * @param parent Composite
	 */
	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NULL);
		GridLayout layout = new GridLayout();
		composite.setLayout(layout);
		layout.numColumns = 2;
		layout.verticalSpacing = 9;

		Text text = new Text(composite, SWT.MULTI | SWT.READ_ONLY | SWT.WRAP);
		GridData gd = new GridData(GridData.FILL_BOTH);
		text.setLayoutData(gd);
		text.setText(welcomeMessage);

		/**
		 * コントロールの登録
		 */
		setControl(composite);
	}

	/**
	 * getNextPage
	 *
	 * @return IWizardPage
	 */
	public IWizardPage getNextPage() {
		return super.getNextPage();
	}
}
